import md5 from "js-md5";

/**
 * 生成登录签名
 * @param {string} phone - 手机号
 * @returns {string} - 加密后的签名
 */
export function generateSign(phone) {
  // 固定密钥
  const key = "xnyai!#@zheke889";
  
  // Base64编码密钥
  const base64Key = btoa(key);
  
  // 拼接手机号和base64编码后的密钥
  const signStr = phone + base64Key;
  
  // 对拼接结果进行MD5加密
  const sign = md5(signStr);
  
  return sign;
} 